#!/usr/bin/make -f

export PYBUILD_NAME = requests-ntlm
export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = \
	PATH="/usr/sbin:$$PATH" env \
	start-stop-daemon --start --pidfile {build_dir}/server.pid \
		--make-pidfile --chdir {build_dir} --background \
		--startas /usr/bin/{interpreter} -- -m tests.test_server && \
	sleep 1 && \
	{interpreter} -m pytest tests/unit && \
	PATH="/usr/sbin:$$PATH" env \
	start-stop-daemon --stop --pidfile {build_dir}/server.pid \
		--remove-pidfile

%:
	dh $@ --buildsystem=pybuild
